<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="ElementsCarriere"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="525"
		 pageHeight="842"
		 columnWidth="525"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="NO_INDIVIDU" isForPrompting="true" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(1610)]]></defaultValueExpression>
	</parameter>
	<parameter name="NO_CARRIERE" isForPrompting="false" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(1)]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[SELECT D_EFFET_ELEMENT, D_FIN_ELEMENT,QUOTITE_ELEMENT,LL_GRADE,
C_ECHELON, nvl(C_CHEVRON, '') C_CHEVRON,
(select to_char(c_indice_majore) INDICE_MAJORE 
from grhum.indice i,grhum.passage_echelon pe 
where pe.c_grade = e.c_grade and pe.c_echelon = e.c_echelon
and i.c_indice_brut = pe.c_indice_brut
and i.d_majoration <= d_effet_element and (i.d_fermeture is null or i.d_fermeture >= e.d_effet_element)
and pe.d_fermeture is null AND ROWNUM = 1) INM
FROM Mangue.ELEMENT_CARRIERE E, GRHUM.GRADE G
WHERE  E.NO_DOSSIER_PERS = $P{NO_INDIVIDU}
AND E.TEM_VALIDE='O' AND E.NO_SEQ_CARRIERE =  $P{NO_CARRIERE}
AND G.C_GRADE=E.C_GRADE order by D_EFFET_ELEMENT desc]]></queryString>

	<field name="D_EFFET_ELEMENT" class="java.sql.Timestamp"/>
	<field name="D_FIN_ELEMENT" class="java.sql.Timestamp"/>
	<field name="QUOTITE_ELEMENT" class="java.math.BigDecimal"/>
	<field name="LL_GRADE" class="java.lang.String"/>
	<field name="C_ECHELON" class="java.lang.String"/>
	<field name="C_CHEVRON" class="java.lang.String"/>
	<field name="INM" class="java.lang.String"/>

	<variable name="Carriere" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[((($V{COLUMN_COUNT}.intValue() == 0) || ($V{COLUMN_COUNT}.intValue() == 1)) ? "Elément de carrière":"Eléments de carrière")]]></variableExpression>
	</variable>
	<variable name="D_FIN_ELEMENT" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[( $F{D_FIN_ELEMENT} == null ? "" : " - " + DateFormat.getDateInstance().format($F{D_FIN_ELEMENT}) )]]></variableExpression>
	</variable>
	<variable name="C_ECHELON" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[( $F{C_ECHELON} == null ? "" : ", échelon : " + $F{C_ECHELON} )]]></variableExpression>
	</variable>
	<variable name="C_CHEVRON" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[( $F{C_CHEVRON} == null ? "" : ", chevron : " + $F{C_CHEVRON})]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="32"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						mode="Opaque"
						x="25"
						y="17"
						width="59"
						height="13"
						backcolor="#F7F7F7"
						key="staticText-1"
						isPrintRepeatedValues="false"
						isPrintInFirstWholeBand="true"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[ Début ]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="84"
						y="17"
						width="59"
						height="13"
						backcolor="#F7F7F7"
						key="staticText-2"
						isPrintRepeatedValues="false"
						isPrintInFirstWholeBand="true"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[ Fin]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="143"
						y="17"
						width="248"
						height="13"
						backcolor="#F7F7F7"
						key="staticText-3"
						isPrintRepeatedValues="false"
						isPrintInFirstWholeBand="true"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement>
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[Grade]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="424"
						y="17"
						width="30"
						height="13"
						backcolor="#F7F7F7"
						key="staticText-4"
						isPrintRepeatedValues="false"
						isPrintInFirstWholeBand="true"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[Ech.]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="454"
						y="17"
						width="36"
						height="13"
						backcolor="#F7F7F7"
						key="staticText-5"
						isPrintRepeatedValues="false"
						isPrintInFirstWholeBand="true"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[Chev.]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="0"
						y="0"
						width="492"
						height="14"
						forecolor="#666666"
						backcolor="#FFFFFF"
						key="staticText-6"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-BoldOblique" size="10" isBold="true" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Eléments de carrière]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="391"
						y="17"
						width="33"
						height="13"
						backcolor="#F7F7F7"
						key="staticText-7"
						isPrintRepeatedValues="false"
						isPrintInFirstWholeBand="true"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center">
						<font pdfFontName="Helvetica-BoldOblique" size="8" isBold="true" isItalic="true"/>
					</textElement>
				<text><![CDATA[INM]]></text>
				</staticText>
			</band>
		</columnHeader>
		<detail>
			<band height="17"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="25"
						y="2"
						width="59"
						height="12"
						forecolor="#000000"
						backcolor="#F7F7F7"
						key="textField-1"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[new java.text.SimpleDateFormat("dd/MM/yyyy").format($F{D_EFFET_ELEMENT})]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="84"
						y="2"
						width="59"
						height="12"
						forecolor="#000000"
						backcolor="#F7F7F7"
						key="textField-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{D_FIN_ELEMENT} == null ? "" : new java.text.SimpleDateFormat("dd/MM/yyyy").format($F{D_FIN_ELEMENT})]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="143"
						y="2"
						width="248"
						height="12"
						forecolor="#000000"
						backcolor="#F7F7F7"
						key="textField-3"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{LL_GRADE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="424"
						y="2"
						width="30"
						height="12"
						forecolor="#000000"
						backcolor="#F7F7F7"
						key="textField-4"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{C_ECHELON}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="454"
						y="2"
						width="36"
						height="12"
						forecolor="#000000"
						backcolor="#F7F7F7"
						key="textField-5"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{C_CHEVRON}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="391"
						y="2"
						width="30"
						height="12"
						forecolor="#000000"
						backcolor="#F7F7F7"
						key="textField-6"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{INM}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
